XvUngrabPort(3) | Library Functions Manual | XvUngrabPort(3)

# NAME

XvUngrabPort - release port grabbed for video operation

# SYNOPSIS

#include <X11/extensions/Xvlib.h>

    int XvUngrabPort(Display *dpy, XvPortID port, Time time);

# ARGUMENTS

dpy
  Specifies the connection to the X server.
port
  Specifies the port to be released. If the port had not been previously grabbed, the request is ignored.
time
  Specifies the request timestamp.

# DESCRIPTION

XvUngrabPort(3)
releases a grabbed port. If time specifies a time before the last XvGrabPort(3) was executed, the request is ignored.

# RETURN VALUES

[Success]
  Returned if XvUngrabPort(3) completed successfully.
[XvBadExtension]
  Returned if the Xv extension is unavailable.
[XvBadAlloc]
  Returned if XvUngrabPort(3) failed to allocate memory to process the request.

# DIAGNOSTICS

[XvBadPort]
  Generated if the requested port does not exist.

# SEE ALSO

XvGrabPort(3)

X Version 11 | libXv Functions